package org.examcloud.core.reports.api.client;

import org.examcloud.core.reports.api.ExamDataReportCloudService;
import org.examcloud.core.reports.api.request.SaveExamDataReportListReq;
import org.examcloud.core.reports.api.response.SaveExamDataReportListResp;
import org.springframework.stereotype.Service;

@Service
public class ExamDataReportCloudServiceClient extends AbstractCloudClientSupport implements ExamDataReportCloudService {


	/**
	 * 
	 */
	private static final long serialVersionUID = 3937222097644204731L;

	@Override
	public SaveExamDataReportListResp saveExamDataReportList(SaveExamDataReportListReq req) {
		return post("examDataReport/saveList", req, SaveExamDataReportListResp.class);
	}

}
